{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta) ]; return LIST; }"
                }
            ],
            "baseCommand": [
                "GCcontent2bigwig.py"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.in_fasta.basename).gc.bigwig"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#GCcontent2bigwig.cwl/in_fasta"
                }
            ],
            "id": "#GCcontent2bigwig.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_fasta.basename).gc.bigwig"
                    },
                    "id": "#GCcontent2bigwig.cwl/out_gc_bigwig"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_gaps_bigwig), (inputs.in_trackList_json)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add-bw-track.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--pos_color",
                    "valueFrom": "black"
                },
                {
                    "position": 3,
                    "prefix": "--neg_color",
                    "valueFrom": "white"
                },
                {
                    "position": 5,
                    "prefix": "--label",
                    "valueFrom": "Gaps in assembly"
                },
                {
                    "position": 7,
                    "prefix": "--bw_url",
                    "valueFrom": "bigwig/$(inputs.in_gaps_bigwig.basename)"
                },
                {
                    "position": 9,
                    "prefix": "--in",
                    "valueFrom": "$(inputs.in_trackList_json.basename)"
                },
                {
                    "position": 11,
                    "prefix": "--out",
                    "valueFrom": "trackList.json"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#add-bw-track_gaps.cwl/in_gaps_bigwig"
                },
                {
                    "type": "File",
                    "id": "#add-bw-track_gaps.cwl/in_trackList_json"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trackList.json"
                    },
                    "id": "#add-bw-track_gaps.cwl/out_trackList_json"
                }
            ],
            "id": "#add-bw-track_gaps.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_gc_bigwig), (inputs.in_trackList_json)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add-bw-track.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--pos_color",
                    "valueFrom": "rgba(0,0,255,50)"
                },
                {
                    "position": 3,
                    "prefix": "--neg_color",
                    "valueFrom": "rgba(255,255,0,50)"
                },
                {
                    "position": 5,
                    "prefix": "--bicolor_pivot",
                    "valueFrom": "0.5"
                },
                {
                    "position": 7,
                    "prefix": "--label",
                    "valueFrom": "GC Content"
                },
                {
                    "position": 9,
                    "prefix": "--bw_url",
                    "valueFrom": "bigwig/$(inputs.in_gc_bigwig.basename)"
                },
                {
                    "position": 11,
                    "prefix": "--in",
                    "valueFrom": "$(inputs.in_trackList_json.basename)"
                },
                {
                    "position": 13,
                    "prefix": "--out",
                    "valueFrom": "trackList.json"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#add-bw-track_gc.cwl/in_gc_bigwig"
                },
                {
                    "type": "File",
                    "id": "#add-bw-track_gc.cwl/in_trackList_json"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trackList.json"
                    },
                    "id": "#add-bw-track_gc.cwl/out_trackList_json"
                }
            ],
            "id": "#add-bw-track_gc.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta), (inputs.in_trackList_json)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add_metadata_to_GC_gap_bigwig_tracks.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_trackList_json.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_trackList_json.basename).bak-metadata"
                },
                {
                    "position": 5,
                    "valueFrom": "$(inputs.in_fasta.basename).gc.bigwig"
                },
                {
                    "position": 7,
                    "valueFrom": "$(inputs.in_fasta.basename).gaps.bigwig"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#add_metadata.cwl/in_fasta"
                },
                {
                    "type": "File",
                    "id": "#add_metadata.cwl/in_trackList_json"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trackList.json"
                    },
                    "id": "#add_metadata.cwl/out_trackList_json"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trackList.json.bak-metadata"
                    },
                    "id": "#add_metadata.cwl/out_trackList_json_bak"
                }
            ],
            "id": "#add_metadata.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "faToTwoBit"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename).2bi"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#faToTwoBit.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.2bi"
                    },
                    "id": "#faToTwoBit.cwl/out_2bi"
                }
            ],
            "id": "#faToTwoBit.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_gff), (inputs.in_data)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add_NCBI_annotation_track.py"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-path",
                    "valueFrom": "flatfile-to-json.pl"
                },
                {
                    "position": 2,
                    "prefix": "-gff",
                    "valueFrom": "$(inputs.in_gff.basename)"
                },
                {
                    "position": 3,
                    "prefix": "-out",
                    "valueFrom": "data/"
                },
                {
                    "position": 4,
                    "prefix": "-organism",
                    "valueFrom": "$(inputs.scientific_name[0])_$(inputs.scientific_name[1])"
                },
                {
                    "position": 5,
                    "prefix": "-trackLabel1",
                    "valueFrom": "$(inputs.tree[0])_current_models"
                },
                {
                    "position": 6,
                    "prefix": "-release",
                    "valueFrom": "$(inputs.gff_release_number)"
                },
                {
                    "position": 7,
                    "prefix": "-source",
                    "valueFrom": "$(inputs.url_genomic_gff[0])"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "id": "#flatfile-to-json.cwl/gff_release_number"
                },
                {
                    "type": "Directory",
                    "id": "#flatfile-to-json.cwl/in_data"
                },
                {
                    "type": "File",
                    "id": "#flatfile-to-json.cwl/in_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatfile-to-json.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatfile-to-json.cwl/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatfile-to-json.cwl/url_genomic_gff"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "data/trackList.json"
                    },
                    "id": "#flatfile-to-json.cwl/out_trackList_json"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "data/tracks/"
                    },
                    "id": "#flatfile-to-json.cwl/out_tracks"
                }
            ],
            "id": "#flatfile-to-json.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.in_fasta)"
                        }
                    ]
                }
            ],
            "baseCommand": [
                "gap2bigwig.py"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.in_fasta.basename).gaps.bigwig"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#gap2bigwig.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_fasta.basename).gaps.bigwig"
                    },
                    "id": "#gap2bigwig.cwl/out_gaps_bigwig"
                }
            ],
            "id": "#gap2bigwig.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_data)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "generate-names.pl"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--verbose"
                },
                {
                    "position": 3,
                    "prefix": "--out",
                    "valueFrom": "data/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#generate-names.cwl/in_data"
                },
                {
                    "type": "Directory",
                    "id": "#generate-names.cwl/in_tracks"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "data/names"
                    },
                    "id": "#generate-names.cwl/out_names"
                }
            ],
            "id": "#generate-names.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta), (inputs.in_fai) ]; return LIST; }"
                }
            ],
            "baseCommand": [
                "prepare-refseqs.pl"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--fasta",
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "prefix": "--out",
                    "valueFrom": "data/"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#prepare-refseqs.cwl/in_fai"
                },
                {
                    "type": "File",
                    "id": "#prepare-refseqs.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "data/"
                    },
                    "id": "#prepare-refseqs.cwl/out_data"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "data/seq/"
                    },
                    "id": "#prepare-refseqs.cwl/out_seq"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "data/trackList.json"
                    },
                    "id": "#prepare-refseqs.cwl/out_trackList_json"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "data/tracks.conf"
                    },
                    "id": "#prepare-refseqs.cwl/out_tracks_conf"
                }
            ],
            "id": "#prepare-refseqs.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "samtools"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "faidx"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#samtools_faidx.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.fai"
                    },
                    "id": "#samtools_faidx.cwl/out_fai"
                }
            ],
            "id": "#samtools_faidx.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "id": "#main/gff_release_number"
                },
                {
                    "type": "File",
                    "id": "#main/in_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_genomic_gff"
                }
            ],
            "steps": [
                {
                    "run": "#GCcontent2bigwig.cwl",
                    "in": [
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/GCcontent2bigwig/in_fasta"
                        }
                    ],
                    "out": [
                        "#main/GCcontent2bigwig/out_gc_bigwig"
                    ],
                    "id": "#main/GCcontent2bigwig"
                },
                {
                    "run": "#add-bw-track_gaps.cwl",
                    "in": [
                        {
                            "source": "#main/gap2bigwig/out_gaps_bigwig",
                            "id": "#main/add-bw-track_gaps/in_gaps_bigwig"
                        },
                        {
                            "source": "#main/flatfile-to-json/out_trackList_json",
                            "id": "#main/add-bw-track_gaps/in_trackList_json"
                        }
                    ],
                    "out": [
                        "#main/add-bw-track_gaps/out_trackList_json"
                    ],
                    "id": "#main/add-bw-track_gaps"
                },
                {
                    "run": "#add-bw-track_gc.cwl",
                    "in": [
                        {
                            "source": "#main/GCcontent2bigwig/out_gc_bigwig",
                            "id": "#main/add-bw-track_gc/in_gc_bigwig"
                        },
                        {
                            "source": "#main/add-bw-track_gaps/out_trackList_json",
                            "id": "#main/add-bw-track_gc/in_trackList_json"
                        }
                    ],
                    "out": [
                        "#main/add-bw-track_gc/out_trackList_json"
                    ],
                    "id": "#main/add-bw-track_gc"
                },
                {
                    "run": "#add_metadata.cwl",
                    "in": [
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/add_metadata/in_fasta"
                        },
                        {
                            "source": "#main/add-bw-track_gc/out_trackList_json",
                            "id": "#main/add_metadata/in_trackList_json"
                        }
                    ],
                    "out": [
                        "#main/add_metadata/out_trackList_json",
                        "#main/add_metadata/out_trackList_json_bak"
                    ],
                    "id": "#main/add_metadata"
                },
                {
                    "run": "#faToTwoBit.cwl",
                    "in": [
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/faToTwoBit/in_fasta"
                        }
                    ],
                    "out": [
                        "#main/faToTwoBit/out_2bi"
                    ],
                    "id": "#main/faToTwoBit"
                },
                {
                    "run": "#flatfile-to-json.cwl",
                    "in": [
                        {
                            "source": "#main/gff_release_number",
                            "id": "#main/flatfile-to-json/gff_release_number"
                        },
                        {
                            "source": "#main/prepare-refseqs/out_data",
                            "id": "#main/flatfile-to-json/in_data"
                        },
                        {
                            "source": "#main/in_gff",
                            "id": "#main/flatfile-to-json/in_gff"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/flatfile-to-json/scientific_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/flatfile-to-json/tree"
                        },
                        {
                            "source": "#main/url_genomic_gff",
                            "id": "#main/flatfile-to-json/url_genomic_gff"
                        }
                    ],
                    "out": [
                        "#main/flatfile-to-json/out_trackList_json",
                        "#main/flatfile-to-json/out_tracks"
                    ],
                    "id": "#main/flatfile-to-json"
                },
                {
                    "run": "#gap2bigwig.cwl",
                    "in": [
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/gap2bigwig/in_fasta"
                        }
                    ],
                    "out": [
                        "#main/gap2bigwig/out_gaps_bigwig"
                    ],
                    "id": "#main/gap2bigwig"
                },
                {
                    "run": "#generate-names.cwl",
                    "in": [
                        {
                            "source": "#main/prepare-refseqs/out_data",
                            "id": "#main/generate-names/in_data"
                        },
                        {
                            "source": "#main/flatfile-to-json/out_tracks",
                            "id": "#main/generate-names/in_tracks"
                        }
                    ],
                    "out": [
                        "#main/generate-names/out_names"
                    ],
                    "id": "#main/generate-names"
                },
                {
                    "run": "#prepare-refseqs.cwl",
                    "in": [
                        {
                            "source": "#main/samtools_faidx/out_fai",
                            "id": "#main/prepare-refseqs/in_fai"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/prepare-refseqs/in_fasta"
                        }
                    ],
                    "out": [
                        "#main/prepare-refseqs/out_trackList_json",
                        "#main/prepare-refseqs/out_seq",
                        "#main/prepare-refseqs/out_tracks_conf",
                        "#main/prepare-refseqs/out_data"
                    ],
                    "id": "#main/prepare-refseqs"
                },
                {
                    "run": "#samtools_faidx.cwl",
                    "in": [
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/samtools_faidx/in_fasta"
                        }
                    ],
                    "out": [
                        "#main/samtools_faidx/out_fai"
                    ],
                    "id": "#main/samtools_faidx"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/faToTwoBit/out_2bi",
                    "id": "#main/OUT_2bi"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gap2bigwig/out_gaps_bigwig",
                    "id": "#main/OUT_gaps_bigwig"
                },
                {
                    "type": "File",
                    "outputSource": "#main/GCcontent2bigwig/out_gc_bigwig",
                    "id": "#main/OUT_gc_bigwig"
                },
                {
                    "type": "Directory",
                    "outputSource": "#main/generate-names/out_names",
                    "id": "#main/OUT_names"
                },
                {
                    "type": "Directory",
                    "outputSource": "#main/prepare-refseqs/out_seq",
                    "id": "#main/OUT_seq"
                },
                {
                    "type": "File",
                    "outputSource": "#main/add_metadata/out_trackList_json",
                    "id": "#main/OUT_trackList_json"
                },
                {
                    "type": "File",
                    "outputSource": "#main/add_metadata/out_trackList_json_bak",
                    "id": "#main/OUT_trackList_json_bak"
                },
                {
                    "type": "Directory",
                    "outputSource": "#main/flatfile-to-json/out_tracks",
                    "id": "#main/OUT_tracks"
                },
                {
                    "type": "File",
                    "outputSource": "#main/prepare-refseqs/out_tracks_conf",
                    "id": "#main/OUT_tracks_conf"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
